std::linear_congruential_engine::discard(3)

NAME
std::linear_congruential_engine::discard - std::linear_congruential_engine::discard

Synopsis
   void discard( unsigned long long z ); (since C++11)
   Advances the internal state by z times. Equivalent to calling operator() z times and
   discarding the result

Parameters
   z - integer value specifying the number of times to advance the state by

Return value
   (none)

Complexity
    This section is incomplete

Notes
   For some engines, "fast jump" algorithms are known, which advance the state by many
   steps (order of millions) without calculating intermediate state transitions,
   although not necessarily in constant time.

See also
   operator() advances the engine's state and returns the generated value
   (C++11) (public member function)